ipgeo: Get geolocation data for the requester's IP

API: techniknews.net:ip-address-info
Endpoint: /ipgeo
Response format: text/plain
Auth: none
Method: GET
Last Status: 200
Latency: 373ms

Description

Returns geolocation information for the IP address making the request. Useful for detecting the user's location automatically.

Examples (1)

Get geolocation data for the requester's IP probe-gate
curl 'https://api.techniknews.net/ipgeo'
import requests

resp = requests.get("https://api.techniknews.net/ipgeo")
data = resp.json()
import zingu_apis

api = zingu_apis.api("techniknews")
result = api.fetch("ipgeo")

for item in result:
    print(item)
const resp = await fetch("https://api.techniknews.net/ipgeo");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 01:11:09.710689 200 373ms
2026-04-15 03:55:10.779063 200 457ms
2026-04-14 00:23:23.016984 200 375ms
2026-04-12 13:27:00.040507 200 664ms
2026-04-10 00:18:09.031102 200 157ms
2026-04-09 01:52:50.507075 200 192ms
2026-04-08 02:19:49.556370 200 250ms
2026-04-07 01:36:11.868112 200 272ms
2026-04-05 19:32:56.195377 200 726ms
2026-03-27T13:12:33.699010 200 1034ms